Find the answer to your Linux question:
Results 1 to 2 of 2
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1

    Warning: array subscript is above array bounds [-Warray-bounds]

    Hi I get these errors when I try to compile with linaro 4.7

    fs/cifs/cifssmb.c: In function 'CIFSSMBSetFileInfo':
    fs/cifs/cifssmb.c:5318:8: warning: array subscript is above array bounds [-Warray-bounds]
    error, forbidden warning: cifssmb.c:5318
    drivers/video/msm/mdp4_overlay.c: In function 'mdp4_overlay_play_wait':
    drivers/video/msm/mdp4_overlay.c:2702:28: warning: comparison between 'DISP_TARGET_PHYS' and 'enum <anonymous>' [-Wenum-compare]
    error, forbidden warning: mdp4_overlay.c:2702
    and this is the source:
    Last edited by amin021023; 11-16-2012 at 05:49 AM.

  2. #2
    Linux Guru Rubberman's Avatar
    Join Date
    Apr 2009
    I can be found either 40 miles west of Chicago, in Chicago, or in a galaxy far, far away.
    If you still need help with this, please provide source, or links to source code.
    Sometimes, real fast is almost as good as real time.
    Just remember, Semper Gumbi - always be flexible!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts